## flashlight-applet 0.1-0

=== debian/changelog ===
flashlight-applet (0.1-0) fremantle; urgency=low

  * Initial release.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri, 27 Nov 2009 17:38:11 +0100

## flashlight-applet 0.3-7

=== test/Makefile ===
#
#  Flashlight applet (widget) for Maemo.
#  Copyright (C) 2009 Roman Moravcik
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

all: flashlight-test

flashlight-test:
	gcc -o flashlight-test -Wall ../src/flashlight_lib.c test.c

clean:
	rm -f flashlight-test

## flashlight-applet 0.2-0

=== debian/changelog ===
flashlight-applet (0.2-0) fremantle; urgency=low

  * Added alarm management.
  * Updated translations.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 21 Dec 2009 21:58:37 +0100

=== debian/control ===
Source: flashlight-applet
Section: user/desktop
Priority: optional
Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
Build-Depends: cdbs (>= 0.4.48), libhildondesktop1-dev (>= 2.1.16), libhal-dev (>= 0.5.10), maemo-optify
Standards-Version: 3.7.2
Homepage: http://flashlight-appl.garage.maemo.org/
Vcs-Browser: https://garage.maemo.org/plugins/ggit/browse.php/?p=flashlight-appl
Vcs-Git: https://git.maemo.org/projects/flashlight-appl

Package: flashlight-applet
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}
Description: Allows you to use flash LEDs as a flashlight.
 The camera flash LEDs can be used as a flashlight. To switch
 the flashlight on or off, tap on the status area to open status
 menu and tap on Flashlight applet.
 .
 Do not point the flashlight at anyone's eye.
XB-Maemo-Display-Name: Flashlight
XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1165&atid=4364
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAAPEgAADxIBIZvyMwAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAAV6SURBVGiB1dpvTBNnHAfw7921d3SAJIJg
 W+JgQIVR4xZjNgOUmmAWE018RcBkL/bCZZqY+MoYIDsPJDGa4RZN3FjMwpsl
 2xITE1Pmi2VSp7ZgZYJ0S5ARIlVLTT0spdxxf/YCKWCpLbS05ffq96L33O9z
 vyfpPc9zhKqq2MxBpruARCMmgOO4HI7jCgEQKahnzUFEm0Icx1UCOAqgBoAW
 wN8URX3X1tY2lsL6YkYEoLGxkTKbzc2hUKiD5/kSQRCg1WqRm5uL7OzsP0mS
 /JJl2SdpqjciIqaQ2Ww+5fV6vx8ZGSnxer2YnZ1FKBTC9PQ0pqen9yuK0s1x
 XHk6il0tVnSA47jPfD7fz8PDw1tpmgZN02AYBsvz7Oxs5OXlZUwnwh24cOFC
 rizLLS6Xa6sgCBBFEaIo4u08GAxmVCfCAEEQ9k1MTHwSCARWLTxTEWGAJEk7
 /X4/867CMxERBpAkGdRoNHKswldDqKrafe7cubK0AiiK6jOZTA8piopZ+NsI
 nuf3z8/P/5iOTlBnz54FAFgsllcOh+ORwWCoGxsbK5AkCQBAEEt/wNFyRVGg
 KEopwzC77Hb7XavV6k9N+csAAFBfX+9xuVwDmwmxAgBsPkQEANhciFUBwOZB
 RAUAC4j+/v4HRqOxNlMR7wQAgNVqzWhETACQ2Yi4AMACYnBw8IFer08EYbbb
 7feSiYgbAAAWiyXjEGsCAAsIl8vlMhgMGYFYMwAA6uvrJ5OA2Gu32wP379+f
 qqurm10vIOqiPp7o6Oj41Ov1/mSz2SplWV51BRctZxgGOTk5MsMw/1IUZZMk
 6beZmZnHXV1doZQBEkUs5jqdDjRN+0iSdKqq+otOp7tx+vTpQDz3X9cUWh6J
 TKfF/M1DzCZJ0kQQxD5ZlmWn0zlUU1MjbjggWYhwQRSVSxCEOV5EUgDAAqK/
 v/+h0WisSRKiWpIkqbe3d/jAgQNREUkDAIDVak06gqbpeZvNFhWRVACwgBgc
 HHyo1+trRkdHC2RZjrvwaNOJpun527dvD1mt1ghE0gEAYLFYJh0Oxz9zc3NN
 Ho9Hs1hYIp1QVVXq6+uLQGzY9jrP83fNZvOALMvhjYB4NwqW54IgQFEUI0EQ
 p1RV/YrjuJwVwI3oAAAcPHhQdjqdlM/nO+zz+Qhg6emupROCIGBychIvXrzY
 UlBQsIskyTmfzzdQXV2tAoBmQ6p/EyRJ/rF79+4Jt9tdsp7r/X4/iopGcfz4
 S2i1QHd3jr60tPQjt9udC4AHNviEpq2tbdxoNP5eWFgYMUViTRuPZxK1tUNo
 bR1HeflrTE3poNPpFACPWZblF++x4UdMFEX92tDQwBMEERdibm4OPP8cJ08+
 QWPjcwAqRJFCb+8HyM/PH5Jl2bZ8/A0HKIriMhqNPzQ1NQXjQWi10zh//j/s
 3bv0pt3TUwWaruQZhmlvb28fSSmAZdnXALqKi4uvxEKo6jzOnHmG4uKlt+tb
 t97H+PhOadu2becVRbnx9vgpOaVkWXZKFMVL70IAwIkTr1BR8Tp8ndudj5s3
 K1BWVtYTCASusCyrpAUAAJ2dnV5RFC8ZDIYrzc3NKxAEQeDIERkNDVPh3w8M
 bMfVq9WorPzwL1VVv7548WJwtXFTek7c2dnpZRjmkl6vX4GoqNiCY8c8AABF
 IXD9ejmuXatSq6o+tjEM8wXLss+ijZnyg+6WlhYvSZLfLiKysrJw6JAAjUZB
 MKjF5cu7cOeOSdyzZ08XTdOfxzqHS3hFtt7gOG47QRCnnj59elKSHr1nMqm4
 dy8PRUUlL3fs2NGiqmoPy7IxFzRpAwBLiFAodDQYDGbl5+c7NBrNN62trX3x
 jpFWALCAAFALYAZAP8uya9pqSTsg0dj0X6v8D3fcppTnRvtmAAAAAElFTkSu
 QmCC

## flashlight-applet 0.3-0

=== debian/changelog ===
flashlight-applet (0.3-0) fremantle; urgency=low

  * Fixed bug 4906: Instruction to start Flashlight Applet not clear.
  * Fixed bug 4949: Applet breaks the camera application.
  * Decreased banner timeout from 9 to 3 seconds.
  * Try to close camera device if opening or enabling of flashlight failed.
  * Fixed crash of applet if HAL is not running.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu,  7 Jan 2010 11:25:19 +0100

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
 Depends: ${shlibs:Depends}
 Description: Allows you to use flash LEDs as a flashlight.
  The camera flash LEDs can be used as a flashlight. To switch
- the flashlight on or off, tap on the status area to open status
- menu and tap on Flashlight applet.
+ the flashlight on or off, open the lens cover, tap on the status
+ area to open status menu and tap on Flashlight applet.
+ .
+ Flashlight applet is visible only if the lens cover is open!
  .
  Do not point the flashlight at anyone's eye.
 XB-Maemo-Display-Name: Flashlight

## flashlight-applet 0.3-2

=== debian/changelog ===
flashlight-applet (0.3-2) fremantle; urgency=low

  * Added Polish translation of package name and description
    by Tomasz Dominikowski.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Sat,  9 Jan 2010 22:19:52 +0100

flashlight-applet (0.3-1) fremantle; urgency=low

  * Flashlight was unable to turn on again after closing camera
    application.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri,  8 Jan 2010 14:53:47 +0100

## flashlight-applet 0.3-4

=== debian/changelog ===
flashlight-applet (0.3-4) fremantle; urgency=low

  * Fixed name of Finnish translation file (fi_FI->fi).

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 16 Feb 2010 15:02:02 +0100

flashlight-applet (0.3-3) fremantle; urgency=low

  * Added Finnish translation by Marko Vertainen.
  * Added Russian translation by Azamat Hackimov.
  * Added Turkish translation by Realceday.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 16 Feb 2010 15:49:12 +0100

## flashlight-applet 0.3-5

=== debian/changelog ===
flashlight-applet (0.3-5) fremantle; urgency=low

  * Updated Russian translation by Vitaly Petrov.
  * Added hungarian translation by Gyorgy Lakatos.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 18 Feb 2010 12:50:00 +0100

## flashlight-applet 0.3-6

=== debian/changelog ===
flashlight-applet (0.3-6) fremantle; urgency=low

  * Added Bulgarian translation by Todor Tsankov.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 22 Feb 2010 10:44:27 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: user/desktop
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Allows you to use flash LEDs as a flashlight.
+XB-Description: Allows you to use flash LEDs as a flashlight.
  The camera flash LEDs can be used as a flashlight. To switch
  the flashlight on or off, open the lens cover, tap on the status
  area to open status menu and tap on Flashlight applet.
@@ -20,7 +20,16 @@
  Flashlight applet is visible only if the lens cover is open!
  .
  Do not point the flashlight at anyone's eye.
+XB-Description-pl_PL: Pozwala na użycie diód LED Flash jako latarki.
+ Diody LED Flash mogą zostać użyte jako latarka. Aby włączyć
+ lub wyłączyć latarkę, należy odsunąć pokrywę obiektywu, otworzyć
+ główne menu stanu i nacisnąć na aplet latarki.
+ .
+ Aplet latarki jest widoczny tylko wtedy, gdy pokrywa obiektywu jest odsunięta!
+ .
+ Nie wolno świecić latarką w oczy.
 XB-Maemo-Display-Name: Flashlight
+XB-Maemo-Display-Name-pl_PL: Latarka
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?func=add&group_id=1165&atid=4364
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABHNCSVQICAgI

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.

#export DH_VERBOSE=1


DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

DESTDIR = $(CURDIR)/debian/flashlight-applet

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir

	./autogen.sh
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --disable-static CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"

	touch $@

build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f Makefile.in aclocal.m4 compile config.guess config.h.in config.sub configure data/Makefile.in depcomp install-sh intltool-extract.in intltool-merge.in intltool-update.in ltmain.sh missing mkinstalldirs po/Makefile.in.in src/Makefile.in

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install
	find $(DESTDIR) -name "*.la" | xargs rm -f

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify
	dh_md5sums
	dh_builddeb

binary: binary-arch
.PHONY: build clean binary-arch binary install configure

## flashlight-applet 0.3-7

=== debian/changelog ===
flashlight-applet (0.3-7) fremantle; urgency=low

  * Fixed bug 5369: Hildon-status-menu crashed when uninstalling applications.
    Thanks Nokia guys for fixing it.
  * Added German translation by Oskar Welzl.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Wed, 10 Mar 2010 14:30:11 +0100

## flashlight-applet 0.4-1

=== debian/changelog ===
flashlight-applet (0.4-1) fremantle; urgency=low

  * Added Polish translation by Tomasz Dominikowski.
  * Added Kannada translation by Chandru.
  * Added Hebrew translation by Yaron Shahrabani.
  * Added simple DBus launcher for enabling flashlight.
  * Added simple DBus interface for enabling/disabling flashlight.
  * Added proper initializations and checks for uninitialized values of variables.
  * Fixed deinitialization of DBus connection.
  * Fixed crash of applet during the package update, if HAL wasn't previously
    initialized.
  * Updated copyright years.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Sat, 15 May 2010 16:06:35 +0200

## flashlight-applet 0.4-2

=== debian/changelog ===
flashlight-applet (0.4-2) fremantle; urgency=low

  * Fixed bug 6003: On/Of" text under word Flashlight should be secondary
    colour.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 15 Jul 2010 13:31:03 +0200

## flashlight-applet 0.4-3

=== debian/changelog ===
flashlight-applet (0.4-3) fremantle; urgency=low

  * Updated Czech translation by Pavel Fric.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu, 15 Jul 2010 15:30:11 +0200

## flashlight-applet 0.4-4

=== test/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 #  Flashlight applet (widget) for Maemo.
-#  Copyright (C) 2009 Roman Moravcik
+#  Copyright (C) 2009, 2010 Roman Moravcik
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by

=== debian/changelog ===
flashlight-applet (0.4-4) fremantle; urgency=low

  * Updated Czech and Polish translations.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Fri,  8 Oct 2010 16:07:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/desktop
 Priority: optional
 Maintainer: Roman Moravcik <roman.moravcik@gmail.com>
-Build-Depends: cdbs (>= 0.4.48), libhildondesktop1-dev (>= 2.1.16), libhal-dev (>= 0.5.10), maemo-optify
+Build-Depends: cdbs (>= 0.4.48), libhildondesktop1-dev (>= 2.1.16), libhal-dev (>= 0.5.10), libosso-dev (>= 2.0), maemo-optify
 Standards-Version: 3.7.2
 Homepage: http://flashlight-appl.garage.maemo.org/
 Vcs-Browser: https://garage.maemo.org/plugins/ggit/browse.php/?p=flashlight-appl

## flashlight-applet 0.4-5

=== debian/changelog ===
flashlight-applet (0.4-5) fremantle; urgency=low

  * Added French translation by Michael Scherer.
  * Added Chinese and Simplified Chinese translations by GreyAir.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Tue, 25 Jan 2011 13:39:39 +0100
